Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Friends | List of all members
Test Class Referenceabstract

`#include <gtest.h>`

Inheritance diagram for Test:

## Public Types
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc

## Public Member Functions
virtual | ~Test ()
virtual | ~Test ()
virtual | ~Test ()

## Static Public Member Functions
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)

## Protected Member Functions
| Test ()
virtual void | SetUp ()
virtual void | TearDown ()
| Test ()
virtual void | SetUp ()
virtual void | TearDown ()
| Test ()
virtual void | SetUp ()
virtual void | TearDown ()

## Friends
class | TestInfo

## Member Typedef Documentation

typedef internal::SetUpTestCaseFunc SetUpTestCaseFunc

typedef internal::SetUpTestCaseFunc SetUpTestCaseFunc

typedef internal::SetUpTestCaseFunc SetUpTestCaseFunc

typedef internal::TearDownTestCaseFunc TearDownTestCaseFunc

typedef internal::TearDownTestCaseFunc TearDownTestCaseFunc

typedef internal::TearDownTestCaseFunc TearDownTestCaseFunc

## Constructor & Destructor Documentation

~Test | ( |  | ) |
| virtual

Test | ( |  | ) |
| protected

virtual ~Test | ( |  | ) |
| virtual

Test | ( |  | ) |
| protected

virtual ~Test | ( |  | ) |
| virtual

Test | ( |  | ) |
| protected

## Member Function Documentation

static bool HasFailure | ( |  | ) |
| inline static

static bool HasFailure | ( |  | ) |
| inline static

static bool HasFailure | ( |  | ) |
| inline static

bool HasFatalFailure | ( |  | ) |
| static

static bool HasFatalFailure | ( |  | ) |
| static

static bool HasFatalFailure | ( |  | ) |
| static

bool HasNonfatalFailure | ( |  | ) |
| static

static bool HasNonfatalFailure | ( |  | ) |
| static

static bool HasNonfatalFailure | ( |  | ) |
| static

static void RecordProperty | ( | const char * | key,
|  | const char * | value
| ) |  |
| static

void RecordProperty | ( | const char * | key,
|  | const char * | value
| ) |  |
| static

static void RecordProperty | ( | const char * | key,
|  | int | value
| ) |  |
| static

void RecordProperty | ( | const char * | key,
|  | int | value
| ) |  |
| static

static void RecordProperty | ( | const char * | key,
|  | const char * | value
| ) |  |
| static

static void RecordProperty | ( | const char * | key,
|  | int | value
| ) |  |
| static

void SetUp | ( |  | ) |
| protected virtual

Reimplemented in ProtectedFixtureMethodsTest, InitGoogleTestTest, SetUpTestCaseTest, Predicate5Test, Predicate4Test, Predicate3Test, Predicate2Test, FatalFailureInSetUpTest, NonFatalFailureInSetUpTest, FatalFailureInFixtureConstructorTest, NonFatalFailureInFixtureConstructorTest, ListenerTest, QueueTest, Predicate1Test, QueueTest, CommonTest< T >, QuickTest, PropertyOne, PropertyTwo, and EncodedStreamTest.

virtual void SetUp | ( |  | ) |
| protected virtual

Reimplemented in ProtectedFixtureMethodsTest, InitGoogleTestTest, SetUpTestCaseTest, Predicate5Test, Predicate4Test, Predicate3Test, Predicate2Test, FatalFailureInSetUpTest, NonFatalFailureInSetUpTest, FatalFailureInFixtureConstructorTest, NonFatalFailureInFixtureConstructorTest, ListenerTest, QueueTest, Predicate1Test, QueueTest, CommonTest< T >, QuickTest, PropertyOne, PropertyTwo, and EncodedStreamTest.

virtual void SetUp | ( |  | ) |
| protected virtual

Reimplemented in ProtectedFixtureMethodsTest, InitGoogleTestTest, SetUpTestCaseTest, Predicate5Test, Predicate4Test, Predicate3Test, Predicate2Test, FatalFailureInSetUpTest, NonFatalFailureInSetUpTest, FatalFailureInFixtureConstructorTest, NonFatalFailureInFixtureConstructorTest, ListenerTest, QueueTest, Predicate1Test, QueueTest, CommonTest< T >, QuickTest, PropertyOne, PropertyTwo, and EncodedStreamTest.

static void SetUpTestCase | ( |  | ) |
| inline static

static void SetUpTestCase | ( |  | ) |
| inline static

static void SetUpTestCase | ( |  | ) |
| inline static

virtual void TearDown | ( |  | ) |
| protected virtual

Reimplemented in ProtectedFixtureMethodsTest, Predicate5Test, Predicate4Test, Predicate3Test, Predicate2Test, FatalFailureInSetUpTest, NonFatalFailureInSetUpTest, FatalFailureInFixtureConstructorTest, NonFatalFailureInFixtureConstructorTest, ListenerTest, Predicate1Test, CommonTest< T >, QuickTest, PropertyOne, PropertyTwo, and EncodedStreamTest.

void TearDown | ( |  | ) |
| protected virtual

Reimplemented in ProtectedFixtureMethodsTest, Predicate5Test, Predicate4Test, Predicate3Test, Predicate2Test, FatalFailureInSetUpTest, NonFatalFailureInSetUpTest, FatalFailureInFixtureConstructorTest, NonFatalFailureInFixtureConstructorTest, ListenerTest, Predicate1Test, CommonTest< T >, QuickTest, PropertyOne, PropertyTwo, and EncodedStreamTest.

virtual void TearDown | ( |  | ) |
| protected virtual

Reimplemented in ProtectedFixtureMethodsTest, Predicate5Test, Predicate4Test, Predicate3Test, Predicate2Test, FatalFailureInSetUpTest, NonFatalFailureInSetUpTest, FatalFailureInFixtureConstructorTest, NonFatalFailureInFixtureConstructorTest, ListenerTest, Predicate1Test, CommonTest< T >, QuickTest, PropertyOne, PropertyTwo, and EncodedStreamTest.

static void TearDownTestCase | ( |  | ) |
| inline static

static void TearDownTestCase | ( |  | ) |
| inline static

static void TearDownTestCase | ( |  | ) |
| inline static

## Friends And Related Function Documentation

TestInfo
| friend

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/include/gtest/gtest.h
- persistence/rapidjson/thirdparty/gtest/src/gtest.cc
- testing/googleTest/fused-src/gtest/gtest-all.cc